(() => {
  // src/index.js
  function src_default(Alpine) {
    const wait = function(fn, duration, options = {}) {
      setTimeout(() => {
        fn();
        if (options.repeat) {
          wait(fn, duration, options);
        }
      }, duration);
    };
    Alpine.directive(
      "timeout",
      (el, { value, modifiers, expression }, { evaluateLater, effect, cleanup }) => {
        const duration = parseInt(value);
        const options = {
          repeat: modifiers.includes("repeat")
        };
        let evaluator = evaluateLater(expression);
        wait(evaluator, duration, options);
      }
    );
  }

  // builds/cdn.js
  document.addEventListener("alpine:init", () => {
    window.Alpine.plugin(src_default);
  });
})();
